Skip to main content
PUT
/
tax_properties
/
{tax_property}
Update a tax property
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/tax_properties/{tax_property} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_to": "2026-12-31"
}
'
{
  "id": "<id>",
  "object": "tax_property",
  "data": {
    "type": "ca::province_of_employment",
    "value": "ca_on",
    "effective_from": "2026-01-01",
    "effective_to": "2026-12-31",
    "earliest_valid_effective_to": "2026-01-01",
    "is_editable": true,
    "is_deletable": true,
    "label": "Province of Employment",
    "format": "string",
    "options": {
      "ca_ab": "Alberta",
      "ca_bc": "British Columbia",
      "ca_mb": "Manitoba",
      "ca_nb": "New Brunswick",
      "ca_nl": "Newfoundland and Labrador",
      "ca_ns": "Nova Scotia",
      "ca_nt": "Northwest Territories",
      "ca_nu": "Nunavut",
      "ca_on": "Ontario",
      "ca_pe": "Prince Edward Island",
      "ca_qc": "Quebec",
      "ca_sk": "Saskatchewan",
      "ca_yt": "Yukon",
      "ca_oc": "Outside Canada"
    },
    "allow_concurrent": false,
    "feature": "onboarding",
    "owner": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "note": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/tax_properties/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tax_property
string
required

Body

application/json
effective_from
string<date>

The date from which this tax property takes effect.

Only updatable when is_editable is true.

Editing is prevented when is_editable is false

effective_to
string<date>

The date on which this tax property expires. null means no end date and the property remains in effect indefinitely.

type
enum<string>

The type of this tax property, determining its format, label, and validation rules.

Only updatable when is_editable is true.

Editing is prevented when is_editable is false

Available options:
ca::ab::claim_amount,
ca::ab::total_income_less_than_total_claim_amount,
ca::ab::workers_compensation_class,
ca::bc::claim_amount,
ca::bc::eht,
ca::bc::total_income_less_than_total_claim_amount,
ca::bc::workers_compensation_class,
ca::cpp_exempt,
ca::ei_exempt,
ca::ei_premium_reduction,
ca::federal::additional_tax,
ca::federal::annual_deduction_at_source,
ca::federal::claim_amount,
ca::federal::commission_expenses,
ca::federal::commission_total_income,
ca::federal::total_income_less_than_total_claim_amount,
ca::federal_oc_surtax_exempt,
ca::first_nation_exemptions,
ca::mb::claim_amount,
ca::mb::eht,
ca::mb::total_income_less_than_total_claim_amount,
ca::mb::workers_compensation_class,
ca::nb::claim_amount,
ca::nb::total_income_less_than_total_claim_amount,
ca::nb::workers_compensation_class,
ca::nl::claim_amount,
ca::nl::eht,
ca::nl::total_income_less_than_total_claim_amount,
ca::nl::workers_compensation_class,
ca::ns::claim_amount,
ca::ns::total_income_less_than_total_claim_amount,
ca::ns::workers_compensation_class,
ca::nt::claim_amount,
ca::nt::territorial_payroll_tax,
ca::nt::total_income_less_than_total_claim_amount,
ca::nt::workers_compensation_class,
ca::nu::claim_amount,
ca::nu::territorial_payroll_tax,
ca::nu::total_income_less_than_total_claim_amount,
ca::nu::workers_compensation_class,
ca::on::claim_amount,
ca::on::dependent_children_credit,
ca::on::eht,
ca::on::impaired_dependants_credit,
ca::on::total_income_less_than_total_claim_amount,
ca::on::workers_compensation_class,
ca::pe::claim_amount,
ca::pe::total_income_less_than_total_claim_amount,
ca::pe::workers_compensation_class,
ca::province_of_employment,
ca::province_of_work,
ca::qc::additional_tax,
ca::qc::claim_amount,
ca::qc::commission_percentage_taxed,
ca::qc::eht,
ca::qc::qpip_exempt,
ca::qc::qpp_exempt,
ca::qc::tax_id,
ca::qc::total_income_less_than_total_claim_amount,
ca::qc::workers_compensation_class,
ca::sk::claim_amount,
ca::sk::total_income_less_than_total_claim_amount,
ca::sk::workers_compensation_class,
ca::statutory_holiday_pay,
ca::tax_id,
ca::yt::claim_amount,
ca::yt::total_income_less_than_total_claim_amount,
ca::yt::workers_compensation_class
value
string

The value of this tax property. Format depends on format: numeric types store a decimal string, boolean types store a boolean, select types store a string key, and object types store a structured value object.

Only updatable when is_editable is true.

Editing is prevented when is_editable is false

note
string | null

An optional note for this tax property.

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("tax_property").

data
Tax Property · object